import { __assign, __rest } from "tslib";
import { faClock } from "@fortawesome/free-regular-svg-icons";
import { faTimesCircle } from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import React from "react";
import { useHover } from "utils-hooks";
import AutoComplete from "xy-autocomplete";
import "xy-autocomplete/assets/index.css";
import { Input } from "xy-input";
import "xy-input/assets/index.css";
import { getLocal } from "./local";
import useValue from "./useValue";
import { createTimeList } from "./utils";
export var TimeSelect = React.forwardRef(function (props, ref) {
    var value = props.value, defaultValue = props.defaultValue, start = props.start, end = props.end, _a = props.step, step = _a === void 0 ? "00:30" : _a, min = props.min, max = props.max, _b = props.placeholder, placeholder = _b === void 0 ? getLocal().TimeSelect.placeholder : _b, onBlur = props.onBlur, onChange = props.onChange, rest = __rest(props, ["value", "defaultValue", "start", "end", "step", "min", "max", "placeholder", "onBlur", "onChange"]);
    var _c = useValue(props), inputValue = _c[0], setInputValue = _c[1], changeValue = _c[2];
    var times = createTimeList(props);
    var _d = useHover(), iconRef = _d[0], iconHouver = _d[1];
    function blurHandle(event) {
        changeValue(event.target.value);
        if (onBlur) {
            onBlur(event);
        }
    }
    function cleanHandle() {
        if (inputValue) {
            changeValue("");
        }
    }
    return (React.createElement(AutoComplete, __assign({}, rest, { ref: ref, filter: null, placeholder: placeholder, dataSource: times, value: inputValue, onSelect: changeValue, onChange: setInputValue, onBlur: blurHandle }),
        React.createElement(Input, { suffix: React.createElement("span", { className: "xy-time-select_icon", onClick: cleanHandle, ref: iconRef },
                React.createElement(FontAwesomeIcon, { icon: iconHouver && inputValue ? faTimesCircle : faClock })) })));
});
export default React.memo(TimeSelect);
//# sourceMappingURL=index.js.map