import { useEffect, useRef, useState } from "react";
import { isShortTime } from "utils-dom";
import { DefineDefaultValue } from "utils-hooks";
export default function useValue(props) {
    var onChange = props.onChange;
    var valueProps = DefineDefaultValue(props, "value", "defaultValue");
    var isControll = "value" in props;
    var _a = useState(isShortTime(valueProps) ? valueProps : ""), inputValue = _a[0], setInputValue = _a[1];
    // 记录最后一次输入正确的时间字符串
    var lastRef = useRef(inputValue);
    function changeValue(val) {
        var _val = isShortTime(val) ? val : lastRef.current;
        if (val === "") {
            _val = "";
        }
        if (props.disabled) {
            return;
        }
        lastRef.current = _val;
        if (!isControll) {
            setInputValue(_val);
        }
        if (onChange) {
            onChange(_val);
        }
    }
    // 受控时候由外部更新输入框的值
    useEffect(function () {
        if (isControll) {
            setInputValue(props.value);
        }
    }, [isControll ? props.value : 1]);
    return [inputValue, setInputValue, changeValue];
}
//# sourceMappingURL=useValue.js.map