import { formatDate, isShortTime, shortTimeParse, shrotTimeTimestamp } from "utils-dom";
var LAST_SECOND = "23:59";
// (1 * 60 * 1000)为1秒的毫秒数
var SECOND_TIMESTAMP = 60 * 1000;
export function createTimeList(props) {
    var start = props.start, _a = props.step, step = _a === void 0 ? "00:30" : _a, min = props.min, max = props.max;
    if ("dataSource" in props) {
        return props.dataSource;
    }
    var times = [];
    var end = isShortTime(props.end) ? props.end : LAST_SECOND;
    var startTimestamp = shortTimeParse(isShortTime(start) ? start : "00:00").getTime();
    var endTimestamp = shortTimeParse(isShortTime(end) ? end : LAST_SECOND).getTime();
    var stepTimestamp = shrotTimeTimestamp(shortTimeParse(step));
    var minTimestamp = isShortTime(min) ? shortTimeParse(min).getTime() : 0;
    var maxTimestamp = isShortTime(max) ? shortTimeParse(max).getTime() : 0;
    // Tips: 修正最后 23:59 的时候需要等于 24:00 才进入此循环, (1 * 60 * 1000)为1秒的毫秒数，补齐24:00
    var isLastEnd = end === LAST_SECOND;
    var lastSecond = isLastEnd ? endTimestamp + SECOND_TIMESTAMP : endTimestamp;
    for (var time = startTimestamp; time <= lastSecond; time += stepTimestamp) {
        if (time === lastSecond && isLastEnd) {
            time -= SECOND_TIMESTAMP;
        }
        var date = new Date(time);
        times.push({
            label: formatDate(date, "HH:mm"),
            value: formatDate(date, "HH:mm"),
            disabled: (minTimestamp && time < minTimestamp) || (maxTimestamp && time > maxTimestamp)
        });
    }
    return times;
}
//# sourceMappingURL=utils.js.map